it.csi.mddtools.guigen

## Interface AppDataGroup

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface AppDataGroup
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'App Data Group'. Raggruppamento logico di application data. da mantenere in modello separato.

  The following features are supported:

  - `Name`
  - `App Data`
  See Also:
    `GuigenPackage.getAppDataGroup()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList<ApplicationData>` | `getAppData()` Returns the value of the 'App Data' containment reference list.
    `java.lang.String` | `getName()` Returns the value of the 'Name' attribute
    `void` | `setName(java.lang.String value)` Sets the value of the '`Name`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns the value of the 'Name' attribute.

      If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

      codice identificativo del gruppo. Ha valenza esclusivamente menmonica.
      Returns:
        the value of the 'Name' attribute.
      See Also:
        `setName(String)`, `GuigenPackage.getAppDataGroup_Name()`

    - #### setName

          void setName(java.lang.String value)

      Sets the value of the '`Name`' attribute.
      Parameters:
        `value` - the new value of the 'Name' attribute.
      See Also:
        `getName()`

    - #### getAppData

          org.eclipse.emf.common.util.EList<ApplicationData> getAppData()

      Returns the value of the 'App Data' containment reference list. The list contents are of type `ApplicationData`.

      If the meaning of the 'App Data' containment reference list isn't clear, there really should be more of a description here...

      elenco degli application data compresi nel gruppo.
      Returns:
        the value of the 'App Data' containment reference list.
      See Also:
        `GuigenPackage.getAppDataGroup_AppData()`